Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipFulfills

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipFulfills

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipFulfills

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Fulfills', and utility methods for working with them. specDomain: V10342 (C-0-D10317-V10337-V10342-cpt)

See Also:
  `CDAR2Package.getActRelationshipFulfills()`

Field Summary
`static int` | `FLFS` The 'FLFS' literal value.
`static ActRelationshipFulfills` | `FLFS_LITERAL` The 'FLFS' literal object.
`static int` | `OCCR` The 'OCCR' literal value.
`static ActRelationshipFulfills` | `OCCR_LITERAL` The 'OCCR' literal object.
`static int` | `OREF` The 'OREF' literal value.
`static ActRelationshipFulfills` | `OREF_LITERAL` The 'OREF' literal object.
`static int` | `SCH` The 'SCH' literal value.
`static ActRelationshipFulfills` | `SCH_LITERAL` The 'SCH' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Fulfills' enumerators.

Method Summary
`static ActRelationshipFulfills` | `get(int value)` Returns the 'Act Relationship Fulfills' literal with the specified integer value.
`static ActRelationshipFulfills` | `get(java.lang.String literal)` Returns the 'Act Relationship Fulfills' literal with the specified literal value.
`static ActRelationshipFulfills` | `getByName(java.lang.String name)` Returns the 'Act Relationship Fulfills' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FLFS

    public static final int FLFS

  The 'FLFS' literal value.

  If the meaning of 'FLFS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FLFS_LITERAL`, Constant Field Values

### OCCR

    public static final int OCCR

  The 'OCCR' literal value.

  If the meaning of 'OCCR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OCCR_LITERAL`, Constant Field Values

### OREF

    public static final int OREF

  The 'OREF' literal value.

  If the meaning of 'OREF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OREF_LITERAL`, Constant Field Values

### SCH

    public static final int SCH

  The 'SCH' literal value.

  If the meaning of 'SCH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SCH_LITERAL`, Constant Field Values

### FLFS_LITERAL

    public static final ActRelationshipFulfills FLFS_LITERAL

  The 'FLFS' literal object.

  See Also:
    `FLFS`

### OCCR_LITERAL

    public static final ActRelationshipFulfills OCCR_LITERAL

  The 'OCCR' literal object.

  See Also:
    `OCCR`

### OREF_LITERAL

    public static final ActRelationshipFulfills OREF_LITERAL

  The 'OREF' literal object.

  See Also:
    `OREF`

### SCH_LITERAL

    public static final ActRelationshipFulfills SCH_LITERAL

  The 'SCH' literal object.

  See Also:
    `SCH`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Fulfills' enumerators.

Method Detail

### get

    public static ActRelationshipFulfills get(java.lang.String literal)

  Returns the 'Act Relationship Fulfills' literal with the specified literal value.

### getByName

    public static ActRelationshipFulfills getByName(java.lang.String name)

  Returns the 'Act Relationship Fulfills' literal with the specified name.

### get

    public static ActRelationshipFulfills get(int value)

  Returns the 'Act Relationship Fulfills' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD